: Class NSTabbedPane

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.composition
Class NSTabbedPane

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JTabbedPane
                              |
                              +--grendel.composition.NSTabbedPane

Direct Known Subclasses:
  AddressBar

public class NSTabbedPane
extends javax.swing.JTabbedPane

See Also:
  Serialized Form

Inner Class Summary
`class` | `NSTabbedPane.MyTabbedPaneUI`

Inner classes inherited from class javax.swing.JTabbedPane
`javax.swing.JTabbedPane.AccessibleJTabbedPane, javax.swing.JTabbedPane.ModelListener`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary
`protected java.lang.String` | `fFloatingTitle`
`protected java.lang.Object` | `fID`
`protected java.lang.String` | `fName`

Fields inherited from class javax.swing.JTabbedPane
`changeEvent, changeListener, model, tabPlacement`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`NSTabbedPane()`

Method Summary
`void` | `addTab(java.lang.String aLabel, javax.swing.ImageIcon aIcon, java.awt.Component mAddressList)` adds a new tab.
`void` | `dock()` the toolbar is about to be docked
`void` | `floatToolbar()` tells the toolbar it is about to float
`java.awt.Component` | `getComponent()` gets the component associated with the toolbar
`java.lang.String` | `getFloatingTitle()` gets the title used when the toolbar is floating
`java.lang.Object` | `getID()` gets the toolbar's id
`java.lang.String` | `getName()` gets the name of the toolbar
`void` | `setFloatingTitle(java.lang.String aTitle)` sets the title to be used when the toolbar is floating
`void` | `setID(java.lang.Object anID)` sets an ID for this toolbar
`void` | `setName(java.lang.String aName)` sets the name of the toolbar
`void` | `setSelectedIndex(int aIndex)` set tab selection

Methods inherited from class javax.swing.JTabbedPane
`add, add, add, add, add, addChangeListener, addTab, addTab, addTab, createChangeListener, fireStateChanged, getAccessibleContext, getBackgroundAt, getBoundsAt, getComponentAt, getDisabledIconAt, getForegroundAt, getIconAt, getModel, getSelectedComponent, getSelectedIndex, getTabCount, getTabPlacement, getTabRunCount, getTitleAt, getToolTipText, getUI, getUIClassID, indexOfComponent, indexOfTab, indexOfTab, insertTab, isEnabledAt, paramString, remove, removeAll, removeChangeListener, removeTabAt, setBackgroundAt, setComponentAt, setDisabledIconAt, setEnabledAt, setForegroundAt, setIconAt, setModel, setSelectedComponent, setTabPlacement, setTitleAt, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fID

    protected java.lang.Object fID

### fName

    protected java.lang.String fName

### fFloatingTitle

    protected java.lang.String fFloatingTitle

Constructor Detail

### NSTabbedPane

    public NSTabbedPane()

Method Detail

### dock

    public void dock()

  the toolbar is about to be docked

### floatToolbar

    public void floatToolbar()

  tells the toolbar it is about to float

### setFloatingTitle

    public void setFloatingTitle(java.lang.String aTitle)

  sets the title to be used when the toolbar is floating

### getFloatingTitle

    public java.lang.String getFloatingTitle()

  gets the title used when the toolbar is floating

### addTab

    public void addTab(java.lang.String aLabel,
                       javax.swing.ImageIcon aIcon,
                       java.awt.Component mAddressList)

  adds a new tab.

### setSelectedIndex

    public void setSelectedIndex(int aIndex)

  set tab selection
  Overrides:
    setSelectedIndex in class javax.swing.JTabbedPane

### setID

    public void setID(java.lang.Object anID)

  sets an ID for this toolbar

### getID

    public java.lang.Object getID()

  gets the toolbar's id

### setName

    public void setName(java.lang.String aName)

  sets the name of the toolbar
  Overrides:
    setName in class java.awt.Component

### getName

    public java.lang.String getName()

  gets the name of the toolbar
  Overrides:
    getName in class java.awt.Component

### getComponent

    public java.awt.Component getComponent()

  gets the component associated with the toolbar

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD